## org.apache.poi.poifs.dev
Class POIFSDump

    java.lang.Object
      org.apache.poi.poifs.dev.POIFSDump

    public class POIFSDump

extends java.lang.Object

Dump internal structure of a OLE2 file into file system

Author:
  Yegor Kozlov

Constructor Summary
`POIFSDump()`

Method Summary
`static void` `dump(DirectoryEntry root, java.io.File parent)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIFSDump

    public POIFSDump()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dump

    public static void dump(DirectoryEntry root,
                            java.io.File parent)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.